Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.value
Class BigIntegerValue.BigIntegerComparable

    java.lang.Object
      net.sf.saxon.value.BigIntegerValue.BigIntegerComparable

All Implemented Interfaces:
  Comparable

Enclosing class:
  BigIntegerValue

    protected static class BigIntegerValue.BigIntegerComparable

extends Object
implements Comparable

Field Summary
`protected BigIntegerValue` | `value`

Constructor Summary
`BigIntegerValue.BigIntegerComparable(BigIntegerValue value)`

Method Summary
`BigInteger` | `asBigInteger()`
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected BigIntegerValue value

Constructor Detail

### BigIntegerValue.BigIntegerComparable

    public BigIntegerValue.BigIntegerComparable(BigIntegerValue value)

Method Detail

### asBigInteger

    public BigInteger asBigInteger()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.